[Pkg-javascript-commits] [node-coveralls] 08/08: Fix testsuite
Bastien Roucariès
rouca at moszumanska.debian.org
Tue Feb 20 12:28:54 UTC 2018
This is an automated email from the git hooks/post-receive script.
rouca pushed a commit to tag debian-3.0.0-2
in repository node-coveralls.
commit a5acd93fca65eab841b77653f5e9bc1e7090dc67
Author: Bastien ROUCARIÈS <roucaries.bastien at gmail.com>
Date: Mon Feb 19 17:29:55 2018 +0100
Fix testsuite
---
debian/changelog | 2 ++
debian/tests/runtestsuite | 12 +++++++++++-
2 files changed, 13 insertions(+), 1 deletion(-)
diff --git a/debian/changelog b/debian/changelog
index cf3e2e4..cb6529c 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -2,6 +2,8 @@ node-coveralls (3.0.0-2) unstable; urgency=medium
* Fix lintian warnings
* Bump compat and policy (no changes)
+ * FTBFS: makes assumptions about build path (Closes: #886287)
+ * Fix cli testsuite
-- Bastien Roucariès <rouca at debian.org> Mon, 19 Feb 2018 00:13:57 +0100
diff --git a/debian/tests/runtestsuite b/debian/tests/runtestsuite
index 13d0474..55cf073 100755
--- a/debian/tests/runtestsuite
+++ b/debian/tests/runtestsuite
@@ -15,4 +15,14 @@ find test -name '*.js' -print0 | \
xargs -0 -n1 \
sh -c 'set -e; echo "TESTING: $3"; sed -E "$1" < "$3" > "$2/$3"' sedtape "$SEDCMD" "$tmpdir"
cd $tmpdir
-mocha -R spec test
+
+sed_move_to_stderr() {
+ sed -e "/$1/w /dev/stderr" -e "/$1/d"
+}
+
+exec 5>&1
+exec 3>&1
+error_mocha=$( ( ( (mocha -R spec test) 2>&1 >&3 3>&- ; echo $? >&4) | sed_move_to_stderr '^DeprecationWarning:' 2>&1 >&3 3>&- ) 4>&1 >&5)
+exec 3>&-
+exec 5>&-
+test "X$error_mocha" = "X0"
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-javascript/node-coveralls.git
More information about the Pkg-javascript-commits
mailing list